petsc-3.13.6 2020-09-29
Report Typos and Errors

# ISSetBlockSize

informs an index set that it has a given block size

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISSetBlockSize(IS is,PetscInt bs)

Logicall Collective on IS

### Input Arguments

| is | - index set
| bs | - block size

### Notes

This is much like the block size for Vecs. It indicates that one can think of the indices as being in a collection of equal size blocks. For ISBlock() these collections of blocks are all contiquous within a block but this is not the case for other IS. ISBlockGetIndices() only works for ISBlock IS, not others.

### See Also

ISGetBlockSize(), ISCreateBlock(), ISBlockGetIndices(),

### Level

intermediate

### Location

src/vec/is/is/interface/index.c

### Examples

src/ksp/ksp/tutorials/ex49.c.html
src/ksp/ksp/tutorials/ex73.c.html

### Implementations

ISSetBlockSize_Block in src/vec/is/is/impls/block/block.c
ISSetBlockSize_General in src/vec/is/is/impls/general/general.c
ISSetBlockSize_Stride in src/vec/is/is/impls/stride/stride.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages